no parallel ports /dev/parport0 or /dev/lp0 created

Bug #1190967 reported by bulgakov on 2013-06-14
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Joseph Salisbury
Precise
Medium
Joseph Salisbury
Quantal
Medium
Joseph Salisbury
Raring
Medium
Joseph Salisbury
Saucy
Medium
Joseph Salisbury

Bug Description

Parallel Port not working.

Interface Card formerly known and working in 12.04 (since May) as
04:06.0 Communication controller: NetMos Technology PCI 9835 Multi-I/O Controller (rev 01)

Now in 12.04, 12.10 and 13.04 gives the following behaviour.
Note that a printer is connected to the parallel port.

syslog:
May 3 17:58:00 ubu1304 kernel: [ 13.018573] lp: driver loaded but no devices found
May 3 17:58:00 ubu1304 kernel: [ 13.021669] ppdev: user-space parallel port driver

lspci:
04:06.0 Communication controller: MosChip Semiconductor Technology Ltd. PCI 9835 Multi-I/O Controller (rev 01)

lsmod:
parport_pc 28152 0
ppdev 17073 0
lp 17759 0
parport 46345 3 lp,ppdev,parport_pc

linux-source-3.8.0
PCI_DEVICE_ID_NETMOS_9835 is in
drivers/pci/quirks.c
drivers/tty/serial/8250/8250_pci.c
drivers/parport/parport_serial.c
include/linux/pci_ids.h

following the quirks-comments:
rmmod parport_pc; modprobe parport_serial # has no effect!
parport_serial 12903 0
parport_pc 28152 1 parport_serial
ppdev 17073 0
lp 17759 0
parport 46345 3 lp,ppdev,parport_pc

Also, removing (rmmod) and adding (modprobe) ppdev/lp/parport modules in all possible combinations did not have any effect.

ls /dev/p*
/dev/port /dev/ppp /dev/psaux /dev/ptmx

/dev/pts:
0 1 4 5 8 ptmx

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: udev 175-0ubuntu26
ProcVersionSignature: Ubuntu 3.8.0-25.37-generic 3.8.13
Uname: Linux 3.8.0-25-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.9.2-0ubuntu8.1
Architecture: amd64
Date: Fri Jun 14 12:32:32 2013
EcryptfsInUse: Yes
InstallationDate: Installed on 2011-07-13 (701 days ago)
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
MachineType: Hewlett-Packard HP Pro 3015 Microtower PC
MarkForUpload: True
ProcEnviron:
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-25-generic root=UUID=7343d121-e88a-4cc2-ae8c-2b3ebac59df5 ro quiet splash
SourcePackage: udev
UpgradeStatus: Upgraded to raring on 2013-06-13 (0 days ago)
dmi.bios.date: 11/12/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 5.13
dmi.board.name: 2A9Eh
dmi.board.vendor: PEGATRON CORPORATION
dmi.board.version: 6.01
dmi.chassis.asset.tag: CZC95021QN
dmi.chassis.type: 3
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr5.13:bd11/12/2009:svnHewlett-Packard:pnHPPro3015MicrotowerPC:pvr:rvnPEGATRONCORPORATION:rn2A9Eh:rvr6.01:cvnHewlett-Packard:ct3:cvrChassisVersion:
dmi.product.name: HP Pro 3015 Microtower PC
dmi.sys.vendor: Hewlett-Packard

bulgakov (bulgakov) wrote :
Martin Pitt (pitti) on 2013-06-14
affects: udev (Ubuntu) → linux (Ubuntu)

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.10 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-rc6-saucy/

tags: added: regression-release
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
tags: added: kernel-da-key
Joseph Salisbury (jsalisbury) wrote :

Could be a dupe of bug 1181094

bulgakov (bulgakov) wrote :

Yes, it seems a duplicate of bug 1181094.
Nonetheless, note that it affects also later kernels.
I'll try to test the latest upstream kernel and let you know.

bulgakov (bulgakov) wrote :

In reply to comment #3 I confirm the same behaviour of Bug description also for the latest upstream v3.10 kernel from
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-rc6-saucy/ (3.10.0-031000rc6.201306151835_amd64).

Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report[0]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

Please follow the instructions on the wiki page[0]. The first step is to email the appropriate mailing list. If no response is received, then a bug may be opened on bugzilla.kernel.org.

Once this bug is reported upstream, please add the tag: 'kernel-bug-reported-upstream'.

Changed in linux (Ubuntu):
status: Incomplete → Triaged
tags: added: saucy
Joseph Salisbury (jsalisbury) wrote :

I'd like to perform a bisect to figure out what commit caused this regression. We need to identify the earliest kernel where the issue started happening as well as the latest kernel that did not have this issue.

Can you test the following kernels and report back? We are looking for the first kernel version that exhibits this bug:

v3.3 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3-precise/
v3.4 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-quantal/
v3.5-rc4: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5-rc4-quantal/

You don't have to test every kernel, just up until the kernel that first has this bug.

Thanks in advance!

tags: added: performing-bisect
bulgakov (bulgakov) wrote :

I've tested the following kernels from http://kernel.ubuntu.com/~kernel-ppa/mainline/.
On the right the response about /dev/lp0.

v3.3 final WORKING
v3.4 final WORKING
v3.5-rc4 WORKING
3.6.11 raring WORKING
3.7.10 raring WORKING
3.8.1 raring WORKING
3.8.3 raring WORKING
3.8.4 raring NOT CREATED
3.8.5 raring NOT CREATED
3.9 raring NOT CREATED
3.10-rc1 saucy NOT CREATED
3.10-rc6 saucy NOT CREATED

Please also note that certainly /dev/lp0 is missing when booting linux-image-3.8.0-23 and 25 from the repositories.

Julian Wiedmann (jwiedmann) wrote :

Most likely broken in upstream by (and trickled down to -stable):

commit 8d2f8cd424ca0b99001f3ff4f5db87c4e525f366
Author: Wang YanQing <email address hidden>
Date: Fri Mar 1 11:47:20 2013 +0800

    serial: 8250_pci: add support for another kind of NetMos Technology PCI 9835 Multi-I/O Controller

    01:08.0 Communication controller: NetMos Technology PCI 9835 Multi-I/O Controller (rev 01)
        Subsystem: Device [1000:0012]
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Interrupt: pin A routed to IRQ 20
        Region 0: I/O ports at e050 [size=8]
        Region 1: I/O ports at e040 [size=8]
        Region 2: I/O ports at e030 [size=8]
        Region 3: I/O ports at e020 [size=8]
        Region 4: I/O ports at e010 [size=8]
        Region 5: I/O ports at e000 [size=16]

tags: added: regression-update
Joseph Salisbury (jsalisbury) wrote :

I'll built a test kernel with commit 8d2f8cd424ca0b99001f3ff4f5db87c4e525f366 reverted and post a link to it.

Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
status: Triaged → In Progress
Joseph Salisbury (jsalisbury) wrote :

I built a test kernel with commit 8d2f8cd424ca0b99001f3ff4f5db87c4e525f366 reverted. The test kernel can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1190967/

Can you test this kernel and report back if it resolves this bug or not? You need to install both the linux-image and linux-image-extra packages.

Thanks, in advance.

bulgakov (bulgakov) wrote :

The kernel in #12 with commit 8d2f8cd424ca0b99001f3ff4f5db87c4e525f366 reverted (http://kernel.ubuntu.com/~jsalisbury/lp1190967/) properly created a working /dev/lp0 on boot.

Thank you.

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing! Can you collect the output from the following comment, while running the test kernel:

lspci -vvvnn
dmesg

Thanks again!

Joseph Salisbury (jsalisbury) wrote :

I created an expiremental test kernel that is patched with a new quirk for the PCI 9835 Multi-I/O Controller. The test kernel can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1190967/patched/

Can you test this kernel and post back if it resolves this bug or not?

bulgakov (bulgakov) wrote :

Comment #14: dmesg

bulgakov (bulgakov) wrote :

Comment #14: lspci

bulgakov (bulgakov) wrote :

Comment #15: I'll do it monday.

bulgakov (bulgakov) wrote :

The patched kernel of #15 http://kernel.ubuntu.com/~jsalisbury/lp1190967/patched/ does not resolved the bug.

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing. I'm going to ping upstream and the patch author, to get their feedback.

Joseph Salisbury (jsalisbury) wrote :

Is the dmesg output in comment #16 from the kernel posted in #12(The kernel with commit 8d2f8cd4 reverted) ?

If so, can you also collect a dmesg and lspci -vvnnn while running my patched test kernel, posted in comment #15?

Thanks

Joseph Salisbury (jsalisbury) wrote :

I think a quirk needs to be added for the 9835 Multi-I/O Controller that has the number of ports set in the subdevice ID. 0x0012 in this case, meaning one parallel port and two serial ports. This device will also need to be marked as class SERIAL, so it is picked up by the parport_serial driver instead of serial.

I'll build a new test kernel with these changes and post a link shortly.

Joseph Salisbury (jsalisbury) wrote :

Sorry, meant to say this card is being marked as class SERIAL and needs to be changed to class OTHER.

Joseph Salisbury (jsalisbury) wrote :

I created another test kernel that is patched with a new quirk for the PCI 9835 Multi-I/O Controller. The test kernel can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1190967/patch_v2

Can you test this kernel and post back if it resolves this bug or not?

bulgakov (bulgakov) wrote :

Reply to Comment #21.

Yes, Is the dmesg and lspci output in comments #16 and #15 are from the kernel posted in #12.
In the following lspci from the patched kernel of #15.
dmesg from the patched kernel of #15 is given in #19.

bulgakov (bulgakov) wrote :

Tested the kernel that is patched with a new quirk for the PCI 9835 Multi-I/O Controller form comment #24 installing the files linux-headers-3.10.0-031000rc7-generic_3.10.0-031000rc7.201306271528_amd64.deb
linux-headers-3.10.0-031000rc7_3.10.0-031000rc7.201306271528_all.deb
linux-image-3.10.0-031000rc7-generic_3.10.0-031000rc7.201306271528_amd64.deb

Unfortunatly, it didn't work.
Here and in the next comment lspci --vvnn and dmesg output.

bulgakov (bulgakov) wrote :

dmesg output for the kernel that is patched with a new quirk for the PCI 9835 Multi-I/O Controller from comment #24.

Joseph Salisbury (jsalisbury) wrote :

Thanks for all the help testing, and your patience. I created one more test kernel, this one with some DEBUG printk messages. Can you test this kernel and post back the output from dmesg? It can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1190967/patch_v3/

Thanks again!

Chris Mayoros (cmayoros-x) wrote :

I've also tested this new kernel, it is not working on my system. /dev/lp0 does not exist. Here's the output from dmesg & lspci.

bulgakov (bulgakov) wrote :

Here it is my output from the patched kernel http://kernel.ubuntu.com/~jsalisbury/lp1190967/patch_v3/

Joseph Salisbury (jsalisbury) wrote :

This bug will be fixed when the revert of commit 8d2f8cd makes it's way into the stable trees. Conversation upstream:
https://lkml.org/lkml/2013/7/1/364

I'll also submit a revert request for Ubuntu, while we wait for the fix from upstream.

Changed in linux (Ubuntu Raring):
status: New → In Progress
Changed in linux (Ubuntu Quantal):
status: New → In Progress
Changed in linux (Ubuntu Precise):
status: New → In Progress
Changed in linux (Ubuntu Raring):
importance: Undecided → Medium
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux (Ubuntu Raring):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Quantal):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Precise):
assignee: nobody → Joseph Salisbury (jsalisbury)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.10.0-2.10

---------------
linux (3.10.0-2.10) saucy; urgency=low

  [ Andy Whitcroft ]

  * [Config] CONFIG_INTEL_MEI*=m
    - LP: #1196155
  * [Config] CONFIG_DEBUG_INFO=y

  [ Stephen Warren ]

  * [Config] fix Calxeda xgmac module filename

  [ Upstream Kernel Changes ]

  * Revert "serial: 8250_pci: add support for another kind of NetMos
    Technology PCI 9835 Multi-I/O Controller"
    - LP: #1190967
  * mfd: lpc_ich: Add support for Intel Avoton SoC
    - LP: #1196658
 -- Andy Whitcroft <email address hidden> Fri, 05 Jul 2013 18:08:02 +0100

Changed in linux (Ubuntu Saucy):
status: In Progress → Fix Released
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Brad Figg (brad-figg) on 2013-07-10
tags: added: verification-needed-quantal
tags: added: verification-needed-raring
bulgakov (bulgakov) wrote :

Kernel in -proposed solved the issue in my case.

Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Raring):
status: In Progress → Fix Committed
Chris Mayoros (cmayoros-x) wrote :

I can also confirm, just installed the 3.5.0-37 kernel from -proposed and /dev/lp0 does exist on my system. Thank you.

Brad Figg (brad-figg) wrote :

Since there are two reports of the -proposed kernel having fixed this issue I'm going to go ahead and add the verification done tags.

tags: added: verification-done-precise verification-done-quantal verification-done-raring
removed: verification-needed-precise verification-needed-quantal verification-needed-raring
Launchpad Janitor (janitor) wrote :
Download full text (8.8 KiB)

This bug was fixed in the package linux - 3.2.0-51.77

---------------
linux (3.2.0-51.77) precise; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1199470

  [ Upstream Kernel Changes ]

  * Bluetooth: Fix invalid length check in l2cap_information_rsp()
    - LP: #1204548

linux (3.2.0-50.76) precise; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1199470

  [ Steve Conklin ]

  * SAUCE: update configs for new atheros option

  [ Upstream Kernel Changes ]

  * Revert "serial: 8250_pci: add support for another kind of NetMos
    Technology PCI 9835 Multi-I/O Controller"
    - LP: #1190967
  * ata_piix: add PCI IDs for Intel BayTail
    - LP: #1193029
  * libata: make ata_exec_internal_sg honor DMADIR
    - LP: #1193029
  * cfg80211: check wdev->netdev in connection work
    - LP: #1193029
  * cifs: fix potential buffer overrun when composing a new options string
    - LP: #1193029
  * mac80211: close AP_VLAN interfaces before unregistering all
    - LP: #1193029
  * drm/radeon: fix card_posted check for newer asics
    - LP: #1193029
  * xfs: kill suid/sgid through the truncate path.
    - LP: #1193029
  * tg3: Add New 5719 Read DMA workaround
    - LP: #1193029
  * tg3: Add read dma workaround for 5720
    - LP: #1193029
  * ALSA: usb-audio: fix possible hang and overflow in
    parse_uac2_sample_rate_range()
    - LP: #1193029
  * ALSA: usb-audio: avoid integer overflow in create_fixed_stream_quirk()
    - LP: #1193029
  * xen-netback: remove skb in xen_netbk_alloc_page
    - LP: #1193029
  * netback: remove redundant assignment
    - LP: #1193029
  * xen-netback: fix sparse warning
    - LP: #1193029
  * xen-netback: coalesce slots in TX path and fix regressions
    - LP: #1193029
  * xen-netback: don't disconnect frontend when seeing oversize packet
    - LP: #1193029
  * xen-netback: remove redundent parameter in netbk_count_requests
    - LP: #1193029
  * xen-netback: avoid allocating variable size array on stack
    - LP: #1193029
  * xen-netback: better names for thresholds
    - LP: #1193029
  * net: Add net_ratelimited_function and net_<level>_ratelimited macros
    - LP: #1193029
  * xen-netfront: reduce gso_max_size to account for max TCP header
    - LP: #1193029
  * jfs: fix a couple races
    - LP: #1193029
  * xen/events: Handle VIRQ_TIMER before any other hardirq in event loop.
    - LP: #1193029
  * b43legacy: Fix crash on unload when firmware not available
    - LP: #1193029
  * ext4: lock i_mutex when truncating orphan inodes
    - LP: #1193029
  * thinkpad-acpi: recognize latest V-Series using DMI_BIOS_VENDOR
    - LP: #1193029
  * ftrace: Move ftrace_filter_lseek out of CONFIG_DYNAMIC_FTRACE section
    - LP: #1193029
  * USB: serial: ftdi_sio: Handle the old_termios == 0 case e.g.
    uart_resume_port()
    - LP: #1193029
  * USB: ftdi_sio: Quiet sparse noise about using plain integer was NULL
    pointer
    - LP: #1193029
  * drm/gma500: Increase max resolution for mode setting
    - LP: #1193029
  * xhci-mem: init list heads at the beginning of init
    - LP: #1193029
  * xhci: fix list access before init
    - LP: #1193029
  * xhci - correct comp_mode_recovery_timer on return from hi...

Read more...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (11.1 KiB)

This bug was fixed in the package linux - 3.5.0-37.58

---------------
linux (3.5.0-37.58) quantal; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1199149

  [ Brad Figg ]

  * [Config] CONFIG_ATH9K_LEGACY_RATE_CONTROL=y

  [ Tim Gardner ]

  * [Config] CONFIG_SUNRPC_DEBUG=y
    - LP: #1127319

  [ Upstream Kernel Changes ]

  * Revert "serial: 8250_pci: add support for another kind of NetMos
    Technology PCI 9835 Multi-I/O Controller"
    - LP: #1190967
  * Revert "ath9k_hw: Update rx gain initval to improve rx sensitivity"
    - LP: #1197458
  * ata_piix: add PCI IDs for Intel BayTail
    - LP: #1197458
  * libata: make ata_exec_internal_sg honor DMADIR
    - LP: #1197458
  * cfg80211: check wdev->netdev in connection work
    - LP: #1197458
  * xhci-mem: init list heads at the beginning of init
    - LP: #1197458
  * xhci: fix list access before init
    - LP: #1197458
  * xhci - correct comp_mode_recovery_timer on return from hibernate
    - LP: #1197458
  * mac80211: close AP_VLAN interfaces before unregistering all
    - LP: #1197458
  * usb: dwc3: gadget: free trb pool only from epnum 2
    - LP: #1197458
  * USB: revert periodic scheduling bugfix
    - LP: #1197458
  * USB: serial: fix Treo/Kyocera interrrupt-in urb context
    - LP: #1197458
  * USB: visor: fix initialisation of Treo/Kyocera devices
    - LP: #1197458
  * USB: mos7720: fix DMA to stack
    - LP: #1197458
  * USB: mos7840: fix DMA to stack
    - LP: #1197458
  * USB: ark3116: fix control-message timeout
    - LP: #1197458
  * USB: iuu_phoenix: fix bulk-message timeout
    - LP: #1197458
  * USB: mos7720: fix message timeouts
    - LP: #1197458
  * regulator: palmas: Fix "enable_reg" to point to the correct reg for
    SMPS10
    - LP: #1197458
  * m68k/mac: Fix unexpected interrupt with CONFIG_EARLY_PRINTK
    - LP: #1197458
  * USB: Serial: cypress_M8: Enable FRWD Dongle hidcom device
    - LP: #1197458
  * USB: serial: Add Option GTM681W to qcserial device table.
    - LP: #1197458
  * USB: keyspan: fix bogus array index
    - LP: #1197458
  * USB: mos7720: fix hardware flow control
    - LP: #1197458
  * USB: whiteheat: fix broken port configuration
    - LP: #1197458
  * USB: option: blacklist network interface on Huawei E1820
    - LP: #1197458
  * iommu/amd: Re-enable IOMMU event log interrupt after handling.
    - LP: #1197458
  * iommu/amd: Workaround for ERBT1312
    - LP: #1197458
  * xen/events: Handle VIRQ_TIMER before any other hardirq in event loop.
    - LP: #1197458
  * thinkpad-acpi: recognize latest V-Series using DMI_BIOS_VENDOR
    - LP: #1197458
  * klist: del waiter from klist_remove_waiters before wakeup waitting
    process
    - LP: #1197458
  * ACPI video: ignore BIOS backlight value for HP dm4
    - LP: #1197458
  * ACPI video: ignore BIOS initial backlight value for HP 1000
    - LP: #1197458
  * dmaengine: ste_dma40: fix pm runtime ref counting
    - LP: #1197458
  * ACPI / video: ignore BIOS initial backlight value for HP m4
    - LP: #1197458
  * ACPI / video: ignore BIOS initial backlight value for HP Pavilion g6
    - LP: #1197458
  * ALSA: usb-audio: fix Roland/Cakewalk UM-3G support
    - LP: #1197458
  * drm: fix ...

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (15.4 KiB)

This bug was fixed in the package linux - 3.8.0-27.40

---------------
linux (3.8.0-27.40) raring; urgency=low

  [Brad Figg]

  * UBUNTU: [Config] CONFIG_ARM_ERRATA_643719=y

linux (3.8.0-27.39) raring; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1199128

  [ Brad Figg ]

  * [Config] CONFIG_ATH9K_LEGACY_RATE_CONTROL=y

  [ Seth Forshee ]

  * SAUCE: Work around broken ACPI backlight on ThinkPad T430
    - LP: #1183856

  [ Stefan Bader ]

  * (d-i) Add dm-snapshot to md-modules
    - LP: #1191726

  [ Tim Gardner ]

  * [Config] CONFIG_SUNRPC_DEBUG=y
    - LP: #1127319

  [ Upstream Kernel Changes ]

  * Revert "ath9k_hw: Update rx gain initval to improve rx sensitivity"
    - LP: #1193126
  * Revert "serial: 8250_pci: add support for another kind of NetMos
    Technology PCI 9835 Multi-I/O Controller"
    - LP: #1190967
  * mac80211: close AP_VLAN interfaces before unregistering all
    - LP: #1193126
  * ath9k: use correct OTP register offsets for AR9550
    - LP: #1193126
  * regulator: palmas: Fix "enable_reg" to point to the correct reg for
    SMPS10
    - LP: #1193126
  * net: can: kvaser_usb: fix reception on "USBcan Pro" and "USBcan R" type
    hardware.
    - LP: #1193126
  * tg3: Add read dma workaround for 5720
    - LP: #1193126
  * xhci-mem: init list heads at the beginning of init
    - LP: #1193126
  * xhci: fix list access before init
    - LP: #1193126
  * xhci - correct comp_mode_recovery_timer on return from hibernate
    - LP: #1193126
  * xhci: Disable D3cold for buggy TI redrivers.
    - LP: #1193126
  * usb: dwc3: pci: PHY should be deleted later than dwc3 core
    - LP: #1193126
  * usb: dwc3: gadget: free trb pool only from epnum 2
    - LP: #1193126
  * usb: musb: make use_sg flag URB specific
    - LP: #1193126
  * USB: revert periodic scheduling bugfix
    - LP: #1193126
  * USB: serial: fix Treo/Kyocera interrrupt-in urb context
    - LP: #1193126
  * USB: visor: fix initialisation of Treo/Kyocera devices
    - LP: #1193126
  * USB: mos7720: fix DMA to stack
    - LP: #1193126
  * USB: mos7840: fix DMA to stack
    - LP: #1193126
  * USB: ark3116: fix control-message timeout
    - LP: #1193126
  * USB: iuu_phoenix: fix bulk-message timeout
    - LP: #1193126
  * USB: mos7720: fix message timeouts
    - LP: #1193126
  * USB: zte_ev: fix control-message timeouts
    - LP: #1193126
  * USB: Serial: cypress_M8: Enable FRWD Dongle hidcom device
    - LP: #1193126
  * USB: serial: Add Option GTM681W to qcserial device table.
    - LP: #1193126
  * USB: zte_ev: fix broken open
    - LP: #1193126
  * USB: keyspan: fix bogus array index
    - LP: #1193126
  * USB: mos7720: fix hardware flow control
    - LP: #1193126
  * x86/PCI: Map PCI setup data with ioremap() so it can be in highmem
    - LP: #1193126
  * USB: whiteheat: fix broken port configuration
    - LP: #1193126
  * USB: option: blacklist network interface on Huawei E1820
    - LP: #1193126
  * USB: option,zte_ev: move most ZTE CDMA devices to zte_ev
    - LP: #1193126
  * ecryptfs: fixed msync to flush data
    - LP: #1193126
  * dmaengine: ste_dma40: fix pm runtime ref counting
    - LP: #1193126
  * cifs: fix off-by-one bug in build_unc...

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers